--- csrc/qmlib.c.orig	Thu Jun 16 02:22:37 2005
+++ csrc/qmlib.c	Tue Jul  5 23:11:43 2005
@@ -37,6 +37,61 @@
 #include <qm.h>
 
 /* ======================================================================
+   fcvt()  -  Convert float to string
+
+   Taken from
+   ports/editors/openoffice-1.0/files/patch-sal+osl+unx+system.c         */
+
+#if defined(__FreeBSD__)
+char *fcvt(double value, int ndigit, int *decpt, int *sign)
+{
+  static char ret[256];
+  char buf[256],zahl[256],format[256]="%";
+  char *v1,*v2;
+
+  if (value==0.0) value=1e-30;
+
+  if (value<0.0) *sign=1; else *sign=0;
+
+  if (value<1.0)
+  {
+    *decpt=(int)log10(value);
+	value*=pow(10.0,1-*decpt);
+	ndigit+=*decpt-1;
+	if (ndigit<0) ndigit=0;
+  }
+  else
+  {
+    *decpt=(int)log10(value)+1;
+  }
+
+  sprintf(zahl,"%d",ndigit);
+  strcat(format,zahl);
+  strcat(format,".");
+  strcat(format,zahl);
+  strcat(format,"f");
+
+  sprintf(buf,format,value);
+
+  if (ndigit!=0)
+  {
+    v1=strtok(buf,".");
+    v2=strtok(NULL,".");
+	strcpy(ret,v1);
+    strcat(ret,v2);
+  }
+  else
+  {
+    strcpy(ret,buf);
+  }
+
+  return(ret);
+}
+
+#endif
+
+
+/* ======================================================================
    ftoa()  -  Convert double to string
 
    This whole routine is horrible but necessary because printf uses
